Bug 1142614 - libseccomp ppc64le: Test 36-sim-ipc_syscalls%%001-00001 result: ERROR 36-sim-ipc_syscalls rc=14
libseccomp ppc64le: Test 36-sim-ipc_syscalls%%001-00001 result: ERROR 36-si...
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Marcus Meissner
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 09:34 UTC by Michel Normand
Modified: 2021-12-22 14:35 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
libseccomp_standard_ppc64le_201907231157.log (435.54 KB, text/x-log)
2019-07-24 09:34 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2019-07-24 09:34:12 UTC
Created attachment 811415 [details]
libseccomp_standard_ppc64le_201907231157.log

libseccomp ppc64le: Test 36-sim-ipc_syscalls%%001-00001 result:   ERROR 36-sim-ipc_syscalls rc=14

while make check as per attached log from https://build.opensuse.org/package/live_build_log/openSUSE:Factory:PowerPC:Rings:1-MinimalX/libseccomp/standard/ppc64le
===

[  483s]  batch name: 36-sim-ipc_syscalls
[  483s]  test mode:  c
[  483s]  test type:  bpf-sim
[  483s] Test 36-sim-ipc_syscalls%%001-00001 result:   ERROR 36-sim-ipc_syscalls rc=14
...
[  486s]  batch name: 37-sim-ipc_syscalls_be
[  486s]  test mode:  c
[  486s]  test type:  bpf-sim
[  487s]  test arch:  s390
[  487s] Test 37-sim-ipc_syscalls_be%%001-00001 result:   ERROR 37-sim-ipc_syscalls_be rc=14
===
Comment 1 Michel Normand 2019-08-06 16:08:53 UTC
I found upstream a similar issue but for 32bit x86
https://github.com/seccomp/libseccomp/issues/166
They added some debug printf identifying rc=14 on semget.

So trying a similar debug patch for my ppc64le guest and manually executing in osc chroot.
In my environment rc=14 on semtimedop.

```
twppc64le:/home/abuild/rpmbuild/BUILD/libseccomp-2.4.1/tests # ./36-sim-ipc_syscalls
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: -201
arch_syscall_translate rc: 0
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: 65
arch_syscall_translate rc: 0
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: 1073741889
arch_syscall_translate rc: 0
semop: 0
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: -201
arch_syscall_translate rc: 0
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: 65
arch_syscall_translate rc: 0
arch_syscall_resolve_num: semop
arch_syscall_resolve_name: 1073741889
arch_syscall_translate rc: 0
arch_syscall_resolve_num: (null)
arch_syscall_translate rc: -14
arch_syscall_resolve_num: (null)
arch_syscall_translate rc: -14
arch_syscall_resolve_num: (null)
arch_syscall_translate rc: -14
semtimedop: -14
```
Comment 3 Swamp Workflow Management 2019-10-02 16:12:12 UTC
SUSE-SU-2019:2517-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1128828,1142614
CVE References: CVE-2019-9893
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libseccomp-2.4.1-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libseccomp-2.4.1-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libseccomp-2.4.1-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libseccomp-2.4.1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-10-07 19:11:40 UTC
openSUSE-SU-2019:2283-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1128828,1142614
CVE References: CVE-2019-9893
Sources used:
openSUSE Leap 15.1 (src):    libseccomp-2.4.1-lp151.3.3.1
Comment 6 Swamp Workflow Management 2019-10-07 19:16:24 UTC
openSUSE-SU-2019:2280-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1128828,1142614
CVE References: CVE-2019-9893
Sources used:
openSUSE Leap 15.0 (src):    libseccomp-2.4.1-lp150.2.3.1
Comment 7 Swamp Workflow Management 2019-11-12 14:11:49 UTC
SUSE-SU-2019:2941-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1128828,1142614
CVE References: CVE-2019-9893
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    libseccomp-2.4.1-11.3.2
SUSE OpenStack Cloud 8 (src):    libseccomp-2.4.1-11.3.2
SUSE OpenStack Cloud 7 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP5 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP4 (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libseccomp-2.4.1-11.3.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    libseccomp-2.4.1-11.3.2
SUSE Enterprise Storage 5 (src):    libseccomp-2.4.1-11.3.2
SUSE CaaS Platform 3.0 (src):    libseccomp-2.4.1-11.3.2
HPE Helion Openstack 8 (src):    libseccomp-2.4.1-11.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.